# Get task attachment dimension. **GET /api/TaskAttachmentDimension** This request should be used to retrieve information around attachments that are uploaded to tasks for specified engagement(s). This includes the name of the attachment as well as a key used to connect the table to the task facts table. ## Servers - Production server: https://analyticsapi.adra.com/taskmanager (Production server) - Stage server: https://analyticsapi.adrastage.com/taskmanager (Stage server) - Test server: https://analyticsapi.adratest.com/taskmanager (Test server) - Dev server: https://analyticsapi.adradev.com/taskmanager (Dev server) ## Authentication methods - Basic - Adra personal access token ## Parameters ### Query parameters - **engagement** (string) Short Guid of desired engagement Ex - ESXmkya-nEeWMX-7_3fSxA or Guid of desired engagement Ex - 45c31339-96d0-4262-b051-c00f392685c1 ## Responses ### 200 Success #### Body: application/json (array[object]) - **attachmentKey** (integer(int32)) - **engagementKey** (string(uuid)) - **attachmentName** (string | null) ### 400 Bad Request ### 404 Not Found ### 500 Server Error [Powered by Bump.sh](https://bump.sh)